PUT TimeSaver/PutEmployeeScanIn
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanIn| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| SiteID | globally unique identifier |
Required |
|
| SiteActivityID | globally unique identifier |
None. |
|
| ClockInTime | date |
Required |
|
| IsNightShift | boolean |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "889ccb40-2dcf-4749-bfb9-28e6521d5dbd",
"loggedInUserID": "d9f26c0f-2c0e-4851-8cb6-8abf4bdf69c8",
"employeeID": "9a0067ce-ae3d-44a9-87b2-11d9c14cf3c8",
"siteID": "dd26d291-7c9f-46be-b505-e58846162795",
"siteActivityID": "c3ed345e-e9e9-4301-a220-7bc66594c2e7",
"clockInTime": "2026-06-12T23:00:34.690174+00:00",
"isNightShift": true,
"isProcessed": true,
"processedDate": "2026-06-12T23:00:34.690174+00:00",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 10.0,
"photoID": "0e4754c1-6ede-4766-a77b-9892a2626c35",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.